Bug 1893963 - [Testday] Workloads-> Virtualization is not loading for Firefox browser
Summary: [Testday] Workloads-> Virtualization is not loading for Firefox browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Yaacov Zamir
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks: 1894129
TreeView+ depends on / blocked
 
Reported: 2020-11-03 08:21 UTC by Ilanit Stein
Modified: 2021-02-24 15:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:29:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7082 0 None closed Bug 1893963: Dont use lookbehinds regexp 2021-01-08 03:19:47 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:29:45 UTC

Description Ilanit Stein 2020-11-03 08:21:42 UTC
Description of problem:
tested with Firefox 68.12.0esr (64-bit) and  66.0.2 (64-bit) when going to the Virtualization tab in the UI nothing is loading on the right side 

Version-Release number of selected component (if applicable):
OCP-4.6/CNV-2.5

How reproducible:
Happened on 2 different environments, to 2 different testers

Comment 1 Ilanit Stein 2020-11-03 08:22:28 UTC
This bug was reported during the "Migration to Openshift Virtualization Test day" on Oct 20 2020.

Comment 3 Yaacov Zamir 2020-11-03 12:13:23 UTC
Note:
FireFox 68 does not support lookbehinds regular expresions.

We introduced such query in https://bugzilla.redhat.com/show_bug.cgi?id=1879054
https://github.com/openshift/console/blob/master/frontend/packages/kubevirt-plugin/src/components/vms/vm-console.tsx#L86

Comment 8 errata-xmlrpc 2021-02-24 15:29:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.